Guard Herven:
You don't know anything, do you? To think that you are unfamiliar with mandragoras. Listen carefully -- the extract and leaves of a mandragora have the ability to make a dying man jump right out of his bed. It also has many other mysterious powers -- Mystics are always conducting research on it, but they say there is still much left to be learned.
Growing mandragoras definitely guarantees a high profit, but if you are not careful you could lose your life. It is a dangerous plant. When you pass the Mandragora Farm, make sure to cover your ears, or their cries will rip your eardrums.
Return